      SUBROUTINE rotunits( VROT , X )
      
      IMPLICIT NONE
      CHARACTER VROT*4      
      DOUBLE PRECISION X
     
c      For qro and rot types [NOT hindered rotor types]:
c          VROT = 'AMUA' for moment of inertia in units of amu*Ang^2
c       or      = 'GMCM' for moment of inertia units of gram*cm^2
c       or      = 'CM-1' for rotational constant in units of cm^-1
c       or      = 'MHZ' for rotational constant in units of MHz
c         
      IF ( VROT .EQ. 'AMUA' .OR. VROT .EQ. 'amua' ) THEN
        RETURN
      ELSEIF ( VROT .EQ. 'GMCM' .OR. VROT .EQ. 'gmcm' ) THEN
        X = X / 1.660538782d-040
        RETURN
      ELSEIF ( VROT .EQ. 'GCM2' .OR. VROT .EQ. 'gcm2' ) THEN
        X = X / 1.660538782d-040
        RETURN
      ELSEIF ( VROT .EQ. 'CM-1' .OR. VROT .EQ. 'cm-1' ) THEN
        X = 16.85763D+00 / X
        RETURN
      ELSEIF ( VROT .EQ. 'MHZ' .OR. VROT .EQ. 'MHz' 
     &           .OR. VROT .EQ. 'mhz' ) THEN
        X = 5.05379D+005 / X
        RETURN
      ELSE
        write (*,*) 'FATAL: VROT for rotations not recongized'
        STOP
      ENDIF

      END
      
      
